{ self, inputs, ... }:
{
  flake.nixosModules.spicetify = {pkgs, lib, ...}:
  let
    spicePkgs = inputs.spicetify-nix.legacyPackages.${pkgs.stdenv.system};
  in
  {
    programs.spicetify = {
      enable = true;

      enabledExtensions = with spicePkgs.extensions; [
        fullAppDisplay
        loopyLoop
        shuffle
        playlistIcons
        fullAlbumDate
        skipStats
        history
        betterGenres
        playNext
        coverAmbience
        allOfArtist
        catJamSynced
        bestMoment
        madeForYouShortcut
        sessionStats
        focusMode
      ];

      enabledCustomApps = with spicePkgs.apps; [
        newReleases
        reddit
        ncsVisualizer
      ];

      enabledSnippets = with spicePkgs.snippets; [
        rotatingCoverart
        pointer
      ];

      theme = spicePkgs.themes.dribbblish;
      #colorScheme = lib.mkDefault "mocha";
    };
  };
}
